Reference documentation and code samples for the Google Cloud Gemini Data Analytics V1 Client class QueryParameter.
A query parameter message represents a parameter that can be used to parameterize a SQL query.
Generated from protobuf message google.cloud.geminidataanalytics.v1.QueryParameter
Namespace
Google \ Cloud \ GeminiDataAnalytics \ V1Methods
__construct
Constructor.
| Parameters | |
|---|---|
| Name | Description |
data |
array
Optional. Data for populating the Message object. |
↳ name |
string
Required. The name of the parameter reference in the SQL query. |
↳ description |
string
Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question. |
↳ data_type |
string
Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation. This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type. |
getName
Required. The name of the parameter reference in the SQL query.
| Returns | |
|---|---|
| Type | Description |
string |
|
setName
Required. The name of the parameter reference in the SQL query.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getDescription
Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question.
| Returns | |
|---|---|
| Type | Description |
string |
|
setDescription
Optional. The description of the parameter that can be used by LLM to extract the parameter value from the user question.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|
getDataType
Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation.
This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type.
| Returns | |
|---|---|
| Type | Description |
string |
|
setDataType
Required. The data type of the parameter, e.g. "STRING", "INT64", "DATE", etc. For valid values, see the BigQuery documentation.
This will be used to populate google.cloud.bigquery.v2.QueryParameterType.type.
| Parameter | |
|---|---|
| Name | Description |
var |
string
|
| Returns | |
|---|---|
| Type | Description |
$this |
|